Subject: bug#21383: Static revisions in vc-working-revision

From: Dmitry Gutov <[email-masked]>
Date: Sat, 5 Sep 2015 23:30:15 +0300

On 09/05/2015 06:12 PM, Stefan Monnier wrote:

> Yes, the file names would be relative to default-directory.

Does vc-status get a relative file name as input? If yes, a) it's 
additional work for the caller, b) how are you going to enforce it?.

Otherwise, (*).

> But that means we pass redundant info, and that's only acceptable if we
> can make reasonably sure that the two copies are in sync.
> Using relative file names we don't have the problem of keeping duplicate
> info in sync.

(*) If we try to eliminate this duplication of info, we introduce 
duplication of effort inside VC. Seems to be pointless complexity.

> No, I think that it's perfectly acceptable to say that the Git branch
> used depends solely on default-directory.  So if default-directory is
> outside of $git_repo, you get what you asked for.

This is true, but I'm not sure what you're getting at. Sorry.